﻿
namespace RadGridView_RDDS.Web
{
	using System;
	using System.Collections.Generic;
	using System.ComponentModel;
	using System.ComponentModel.DataAnnotations;
	using System.Data;
	using System.Linq;
	using System.ServiceModel.DomainServices.EntityFramework;
	using System.ServiceModel.DomainServices.Hosting;
	using System.ServiceModel.DomainServices.Server;


	// Implements application logic using the TestDBEntities1 context.
	// TODO: Add your application logic to these methods or in additional methods.
	// TODO: Wire up authentication (Windows/ASP.NET Forms) and uncomment the following to disable anonymous access
	// Also consider adding roles to restrict access as appropriate.
	// [RequiresAuthentication]
	[EnableClientAccess()]
	public class DomainService2 : LinqToEntitiesDomainService<TestDBEntities1>
	{

		// TODO:
		// Consider constraining the results of your query method.  If you need additional input you can
		// add parameters to this method or create additional query methods with different names.
		// To support paging you will need to add ordering to the 'OtherPersons' query.
		public IQueryable<OtherPerson> GetOtherPersons()
		{
			return this.ObjectContext.OtherPersons;
		}

		public void InsertOtherPerson(OtherPerson otherPerson)
		{
			if ((otherPerson.EntityState != EntityState.Detached))
			{
				this.ObjectContext.ObjectStateManager.ChangeObjectState(otherPerson, EntityState.Added);
			}
			else
			{
				this.ObjectContext.OtherPersons.AddObject(otherPerson);
			}
		}

		public void UpdateOtherPerson(OtherPerson currentOtherPerson)
		{
			this.ObjectContext.OtherPersons.AttachAsModified(currentOtherPerson, this.ChangeSet.GetOriginal(currentOtherPerson));
		}

		public void DeleteOtherPerson(OtherPerson otherPerson)
		{
			if ((otherPerson.EntityState == EntityState.Detached))
			{
				this.ObjectContext.OtherPersons.Attach(otherPerson);
			}
			this.ObjectContext.OtherPersons.DeleteObject(otherPerson);
		}
	}
}


