﻿
namespace RadGridView_RDDS.Web
{
	using System;
	using System.Collections.Generic;
	using System.ComponentModel;
	using System.ComponentModel.DataAnnotations;
	using System.Linq;
	using System.ServiceModel.DomainServices.Hosting;
	using System.ServiceModel.DomainServices.Server;


	// The MetadataTypeAttribute identifies OtherPersonMetadata as the class
	// that carries additional metadata for the OtherPerson class.
	[MetadataTypeAttribute(typeof(OtherPerson.OtherPersonMetadata))]
	public partial class OtherPerson
	{

		// This class allows you to attach custom attributes to properties
		// of the OtherPerson class.
		//
		// For example, the following marks the Xyz property as a
		// required property and specifies the format for valid values:
		//    [Required]
		//    [RegularExpression("[A-Z][A-Za-z0-9]*")]
		//    [StringLength(32)]
		//    public string Xyz { get; set; }
		internal sealed class OtherPersonMetadata
		{

			// Metadata classes are not meant to be instantiated.
			private OtherPersonMetadata()
			{
			}

			public int Id { get; set; }

			public string Name { get; set; }
		}
	}
}
